# List_All_Exempt_Reasons_For_Customer

Retrieve a customers exempt-reasons.

`GET /v2/customers/{id}/exempt-reasons`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/List_All_Exempt_Reasons_For_Customer/

## Description

Retrieve all exempt-reasons associated with a customer.  Note - Exempt Reasons are generated internally and are read-only

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerExemptReason` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerExemptReason`

The object returned by /v2/customers/{id}/exempt-reasons.

| Property | Type | Required | Description |
|---|---|---|---|
| `actual_tax_code` | object[] | No |  |
| `actual_tax_number` | string | No | Current Tax Number Example: `46578-32`. |
| `certificate` | Certificate | No |  |
| `created` | string | No | Date-Time when the record was created Example: `2019-01-09 17:20:41.120334`. |
| `expected_tax_code` | object[] | No |  |
| `expected_tax_number` | string | No | Previous Tax Number Example: `46578-29`. |
| `exposure_zone` | object[] | No | The jurisdiction the exempt reason is tied to. |
| `id` | integer | No | System Generated id Example: `14`. |
| `modified` | string | No | Date-Time when the record was last modified Example: `2021-03-09 15:41:48.356129`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}/exempt-reasons" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```